# class FileCopyJob | The FileCopyJob copies data from one place to another. More...
Full name | `KIO::FileCopyJob`
Definition | `#include <jobclasses.h>`
Inherits | KIO::Job [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- FileCopyJob ( const KURL& src, const KURL& dest, int permissions, bool move, bool overwrite, bool resume, bool showProgressInfo)
- ~FileCopyJob ()
- void setSourceSize ( off_t size )
- KURL srcURL () const
- KURL destURL () const

#### Public Slots

- void slotData ( KIO::Job *, const QByteArray &data)
- void slotDataReq ( KIO::Job *, QByteArray &data)

#### Protected Methods

- void startCopyJob ()
- void startDataPump ()
- void connectSubjob ( SimpleJob * job )

#### Protected Slots

- virtual void slotResult ( KIO::Job *job )
- void slotProcessedSize ( KIO::Job*, unsigned long size )
- void slotTotalSize ( KIO::Job*, unsigned long size )
- void slotPercent ( KIO::Job*, unsigned long pct )
- void slotCanResume ( KIO::Job*, unsigned long offset )

#### Protected Members

- KURL m_src
- KURL m_dest
- int m_permissions
- bool m_move
- bool m_overwrite
- bool m_resume
- bool m_canResume
- bool m_resumeAnswerSent
- QByteArray m_buffer
- SimpleJob *m_moveJob
- SimpleJob *m_copyJob
- TransferJob *m_getJob
- TransferJob *m_putJob
- Forward FileCopyJobPrivate
- FileCopyJobPrivate *d
- unsigned long m_totalSize

## Detailed Description

The FileCopyJob copies data from one place to another.

FileCopyJob ( const KURL& src, const KURL& dest, int permissions, bool move, bool overwrite, bool resume, bool showProgressInfo) | ### FileCopyJob

~FileCopyJob () | ### ~FileCopyJob

void setSourceSize ( off_t size ) | ### setSourceSize

If you know the size of the source file, call this method to inform this job. It will be displayed in the "resume" dialog.

KURL srcURL () | ### srcURL

[const]

KURL destURL () | ### destURL

[const]

void slotData ( KIO::Job *, const QByteArray &data) | ### slotData

[slot]

void slotDataReq ( KIO::Job *, QByteArray &data) | ### slotDataReq

[slot]

void slotResult ( KIO::Job *job ) | ### slotResult

[protected slots virtual slot]

Called whenever a subjob finishes.

Reimplemented from Job.

void slotProcessedSize ( KIO::Job*, unsigned long size ) | ### slotProcessedSize

[protected slots slot]

Forward signal from subjob

void slotTotalSize ( KIO::Job*, unsigned long size ) | ### slotTotalSize

[protected slots slot]

Forward signal from subjob

void slotPercent ( KIO::Job*, unsigned long pct ) | ### slotPercent

[protected slots slot]

Forward signal from subjob

void slotCanResume ( KIO::Job*, unsigned long offset ) | ### slotCanResume

[protected slots slot]

Forward signal from subjob

void startCopyJob () | ### startCopyJob

[protected]

void startDataPump () | ### startDataPump

[protected]

void connectSubjob ( SimpleJob * job ) | ### connectSubjob

[protected]

KURL m_src | ### m_src

[protected]

KURL m_dest | ### m_dest

[protected]

int m_permissions | ### m_permissions

[protected]

bool m_move | ### m_move

[protected]

bool m_overwrite | ### m_overwrite

[protected]

bool m_resume | ### m_resume

[protected]

bool m_canResume | ### m_canResume

[protected]

bool m_resumeAnswerSent | ### m_resumeAnswerSent

[protected]

QByteArray m_buffer | ### m_buffer

[protected]

SimpleJob * m_moveJob | ### m_moveJob

[protected]

SimpleJob * m_copyJob | ### m_copyJob

[protected]

TransferJob * m_getJob | ### m_getJob

[protected]

TransferJob * m_putJob | ### m_putJob

[protected]

FileCopyJobPrivate * d | ### d

[protected]

unsigned long m_totalSize | ### m_totalSize

[protected]

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:36 2001, using kdoc 2.0a53.